<?php

namespace HCM\FPA\ObrigacaoLegal\Dirf\Registros;

use HCM\FPA\ObrigacaoLegal\Dirf\Registros\RegistroDIRF;

class RegistroINFPA extends RegistroDIRF{

    private $_cpf;
    private $_dtnascimento;
    private $_nome;
    private $_idrelacdep;

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoDirf($tpRegistro);

        // Ordem 2
        $this->atribuiDadoDirf($this->_cpf);

        // Ordem 3
        $this->atribuiDadoDirf($this->_dtnascimento);

        // Ordem 4
        $this->atribuiDadoDirf($this->_nome);

        // Ordem 5
        $this->atribuiDadoDirf($this->_idrelacdep);
    }

    public function geraRegistroINFPA(){
        $this->_geraRegistro(parent::REGISTRO_INFPA);
    }

    public function setCpf($cpf){
        $this->_cpf = $cpf;
    }
    public function setDtnascimento($dtnascimento){
        $this->_dtnascimento = $dtnascimento;
    }
    public function setNome($nome){
        $this->_nome = $nome;
    }
    public function setIdrelacdep($idrelacdep){
        $this->_idrelacdep = $idrelacdep;
    }

}