module.exports = function(grunt) {

    grunt.initConfig({
        buildEnvironment: {
            devCloud9: {
                configFile: "./config/devCloud9Environment.json"
            },
            development: {
                configFile: "./config/devEnvironment.json"
            },
            test: {
                configFile: "./config/testEnvironment.json"
            },
            production: {
                configFile: "./config/prodEnvironment.json"
            },
            srcFolders: ["../backend/config/", "../backend/query/", "./assets/js", "./assets/json", "./config", "./", "./assets", "../version/"]
        }
    });

    grunt.loadNpmTasks('grunt-zh-environment-builder');

    grunt.registerTask('be', 'be', ['buildEnvironment:development']);
};
